Bug 1849877 (CVE-2019-20839) - CVE-2019-20839 libvncserver: buffer overflow in ConnectClientToUnixSock()
Summary: CVE-2019-20839 libvncserver: buffer overflow in ConnectClientToUnixSock()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-20839
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1849879 1849878 1851032 1851033
Blocks: 1849880
TreeView+ depends on / blocked
 
Reported: 2020-06-23 06:25 UTC by Marian Rehak
Modified: 2021-05-18 15:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-18 14:34:21 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-06-23 06:25:19 UTC
libvncclient/sockets.c in LibVNCServer before 0.9.13 has a buffer overflow via a long socket filename.

Upstream Reference:

https://github.com/LibVNC/libvncserver/commit/3fd03977c9b35800d73a865f167338cb4d05b0c1

Comment 1 Marian Rehak 2020-06-23 06:25:41 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1849879]
Affects: fedora-all [bug 1849878]

Comment 2 Stefan Cornelius 2020-06-25 13:16:07 UTC
Statement:

This is only an issue if the "ConnectClientToUnixSock()" function is used directly with an overly long socket name. It's more common that the "ConnectToRFBServer()" function is used, which would prevent exploiting this flaw as it performs additional checks. Additionally, the buffer overflow is caught by compiled-in buffer overflow checks, limiting the impact to a crash.

Comment 6 Product Security DevOps Team 2021-05-18 14:34:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-20839

Comment 7 errata-xmlrpc 2021-05-18 15:16:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1811 https://access.redhat.com/errata/RHSA-2021:1811


Note You need to log in before you can comment on or make changes to this bug.